<?php
// сервис для сохранения файла титула 1 на диск и регистрации пакета
// более ничего с пакетом не делается
// обработка пакета будет выполняться отдельным заданием планировщика

include_once(_DIR_EXT.'/HTML/c_page_TXT.php') ;
class c_services_pl_get_packet_sign extends c_page_txt
{

 function check_access()
  { /*if (!$this->setting['no_check_access']) $result=ESMO_GATEWAY()->api_check_access() ;
    else $result=['status'=>'success','comment'=>''] ;

    //if ($result['client_id']) $this->client_id=$result['client_id'] ;
		if ($result['status']!='success') { $this->response_error($mode,array('code'=>$result['comment'],'ip'=>$_SERVER['REMOTE_ADDR'])) ; }
*/
		$result=['status'=>'success','comment'=>''] ;
    return($result) ;
  }

  function body()
  {	  ob_start() ;
	  $rec_packet = execSQL_van('select * from pl_packets where pkey='._CUR_ID);
	  $text = ob_get_clean();
	  $titul2_sign_fname=PL()->get_file_dir_by_packet_id($rec_packet['packet_type'],$rec_packet['pkey'],'sign') ;

	  if (file_exists($titul2_sign_fname)) $sign_cont=file_get_contents($titul2_sign_fname) ;

	  //header("Content-type: plain/text;charset=windows-utf8");
	  header("Content-type: application/octet-stream");
	  header("Content-Length: ". filesize($titul2_sign_fname));
	  header("Content-Disposition: attachment; filename=".str_replace('ON_PTLSSOBTS', 'ON_PTLSPRMO', $rec_packet['file_uid']).".sign");

	  echo $sign_cont ;
  }

}



?>
